﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace MetroFormSample
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //To set the BorderColor of the MetroForm.
            this.BorderColor = System.Drawing.SystemColors.MenuHighlight;
            //To set the CaptionBarColor of the MetroForm.
            this.CaptionBarColor = System.Drawing.SystemColors.MenuHighlight;
            //To set the CaptionButtonColor of the MetroForm.
            this.CaptionButtonColor = System.Drawing.Color.White;
            //To set the CaptionButtonHoverColor of the MetroForm.
            this.CaptionButtonHoverColor = System.Drawing.Color.Yellow;
            //To set the CaptionForeColor of the MetroForm.
            this.CaptionForeColor = System.Drawing.Color.White;
            //To set the BackColor of the MetroForm.
            this.BackColor = System.Drawing.Color.White;
            //To set the MetroColor.
            this.MetroColor = System.Drawing.SystemColors.MenuHighlight;
            //To set the caption font of the MetroForm.
            this.CaptionFont = new Font("Segoe UI", 12);
            //To set the BorderThickness of the MetroForm.
            this.BorderThickness = 3;
            //To set the CaptionBarHeight of the MetroForm.
            this.CaptionBarHeight = 30;
            //To set the CaptionAllignment of the MetroForm.
            this.CaptionAlign = System.Windows.Forms.HorizontalAlignment.Left;
            //To set the vertical alignment of the MetroForm.
            this.CaptionVerticalAlignment = VerticalAlignment.Top;
            //To set the shadow effect of the MetroForm.
            this.DropShadow = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Thank you for using Syncfusion products");
        }
    }
}
